com.h3c.of.lib.mp

## Class MBodyList<T extends MultipartBody>

- java.lang.Object
- - com.h3c.of.lib.OpenflowStructure
  - - com.h3c.of.lib.mp.MBodyList<T>

- Type Parameters:
    `T` - multi-part body type
  All Implemented Interfaces:
    MultipartBody, Structure
  Direct Known Subclasses:
    MBodyFlowStats.Array, MBodyGroupDescStats.Array, MBodyGroupStats.Array, MBodyMeterConfig.Array, MBodyMeterStats.Array, MBodyPortDesc.Array, MBodyPortStats.Array, MBodyQueueStats.Array, MBodyTableFeatures.Array, MBodyTableStats.Array

      public abstract class MBodyList<T extends MultipartBody>
      extends OpenflowStructure
      implements MultipartBody

  An abstract base class for `MultipartBody` instances that are composed of a list (array) of elements.

- - ### Field Summary

    - ### Fields inherited from class com.h3c.of.lib.OpenflowStructure

      `version`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract Class<T>` | `getElementClass()` Returns the class of the elements of the array.
    `List<T>` | `getList()` Returns an unmodifiable view of the list.
    `int` | `getTotalLength()` Returns the total length of the body, in bytes.
    `ProtocolVersion` | `getVersion()` Returns the protocol version of this OpenFlow structure.

    - ### Methods inherited from class com.h3c.of.lib.OpenflowStructure

      `hex, hex, toDebugString, toString, validate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.h3c.of.lib.mp.MultipartBody

      `validate`

    - ### Methods inherited from interface com.h3c.of.lib.Structure

      `toDebugString`

- - ### Method Detail

    - #### getVersion

          public ProtocolVersion getVersion()

      Description copied from interface: `Structure`
      Returns the protocol version of this OpenFlow structure.
      Specified by:
        `getVersion` in interface `Structure`
      Overrides:
        `getVersion` in class `OpenflowStructure`
      Returns:
        the structure protocol version

    - #### getTotalLength

          public int getTotalLength()

      Description copied from interface: `MultipartBody`
      Returns the total length of the body, in bytes.
      Specified by:
        `getTotalLength` in interface `MultipartBody`
      Returns:
        the total length of the body

    - #### getElementClass

          public abstract Class<T> getElementClass()

      Returns the class of the elements of the array.
      Returns:
        the class of the array elements

    - #### getList

          public List<T> getList()

      Returns an unmodifiable view of the list.
      Returns:
        the a view of the list

Copyright © 2014. All Rights Reserved.